<template>
  <div class="container">
    <div class="row">
      <div class="form-group col-md-4">
        <label class="control-label">
          ¿ Tiene otras obligaciones?
        </label>
        <p-radio class="d-inline-block" v-model="bandera" label="1">Si</p-radio>
        <p-radio class="d-inline-block" v-model="bandera" label="0">No</p-radio>
      </div>
    </div>
    <div v-if="bandera == '1'">
      <div v-if="add_item">
        <div class="row">
          <legend>Otras obligaciones</legend>
        </div>
        <div class="row">
          <div class="form-group col-md-4">
            <label class="control-label">Tipo de Operación</label>
            <el-select  clearable class="select-default" placeholder="Seleccione una opción" v-model="item_otrasobligaciones.tipo_operacion_id">
              <el-option v-for="option in operaciones" class="select-default" :value="option.id" :label="option.valor" :key="option.label"></el-option>
            </el-select>
          </div>

          <div class="form-group col-md-4" v-if=" item_otrasobligaciones.tipo_operacion_id == 5">
            <label class="control-label">Especificar tipo operación</label>
            <input class="form-control" type="text" v-model="item_otrasobligaciones.tipo_operacion_especificar" placeholder="Especificar">
          </div>
          <div class="form-group col-md-4">
            <label class="control-label">Tipo de acreedor</label>
            <el-select  clearable class="select-default" placeholder="Seleccione una opción" v-model="item_otrasobligaciones.cat_tipo_acreedor_id">
              <el-option v-for="option in tipoacreedores" class="select-default" :value="option.id" :label="option.valor" :key="option.valor"></el-option>
            </el-select>
          </div>
          <div class="form-group col-md-4">
            <label class="control-label">Tipo de obligación</label>
            <el-select  clearable class="select-default" placeholder="Seleccione una opción" v-model="item_otrasobligaciones.cat_tipo_obligacion_id">
              <el-option v-for="option in tipoobligaciones" class="select-default" :value="option.id" :label="option.valor" :key="option.valor"></el-option>
            </el-select>
          </div>

          <div class="form-group col-md-4">
            <label class="control-label">Identificador de la obligación</label>
            <input class="form-control" type="text" v-model="item_otrasobligaciones.identificador_obligacion" placeholder="Identificador  de la obligación">
          </div>
          <div class="form-group col-md-4">
            <label class="control-label">País </label>
            <el-select  clearable class="select-default" placeholder="País" v-model="item_otrasobligaciones.nacional_extranjero_cat_pais_id">
              <el-option v-for="option in paises" class="select-default" :value="option.id" :label="option.valor" :key="option.valor">
              </el-option>
            </el-select>
          </div>
          <div class="form-group col-md-4">
            <label class="control-label">Nombre acreedor </label>
            <input class="form-control" type="text" v-model="item_otrasobligaciones.nombre_acreedor" placeholder="Nombre acreedor">
          </div>
          <div class="form-group col-md-4">
            <label class="control-label">RFC acreedor </label>
            <input class="form-control" type="text" v-model="item_otrasobligaciones.rfc_acreedor" placeholder="RFC acreedor">
          </div>
          <div class="form-group col-md-4">
            <label class="control-label">Sector / Industria (si aplica)</label>
            <el-select  clearable class="select-default" placeholder="Seleccione una opción" v-model="item_otrasobligaciones.sector_industria_id">
              <el-option v-for="option in sectores" class="select-default" :value="option.id" :label="option.valor" :key="option.label"></el-option>
            </el-select>
          </div>

          <div class="form-group col-md-4">
            <label class="control-label">Fecha_adeudo </label>
            <div class="form-group">
              <el-date-picker type="date" v-model="item_otrasobligaciones.fecha_obligacion" value-format="dd-MM-yyyy" format="dd-MM-yyyy" placeholder="Seleccione fecha"></el-date-picker>
            </div>
          </div>

          <div class="form-group col-md-4 customCurrency">
            <label class="control-label">Monto original</label>
            <b-input-group size="sm" :prepend="getSigno">
              <b-form-input class="text-right" v-model="item_otrasobligaciones.monto_original" placeholder="0" @keyup.native="isNumber" />
              <!-- @keyup.native="isNumber($event,item_bienes.precio_adquisicion_valor)" -->
              <b-dropdown right split :text="getCodigoMoneda" v-model="item_otrasobligaciones.cat_tipo_moneda_id">
                <b-dropdown-item v-for="option in monedas" :key="option.codigo" :value="option.codigo" @click="item_otrasobligaciones.monto_original = option.id">{{option.moneda}}</b-dropdown-item>
              </b-dropdown>
            </b-input-group>
          </div>
          <div class="form-group col-md-4">
            <label class="control-label">Tasa interes</label>
            <el-input-number v-model="item_otrasobligaciones.tasa_interes" controls-position="right" :step="5" :min="0" :max="100"></el-input-number>
          </div>
          <div class="form-group col-md-4">
            <label class="control-label">Saldo pendiente </label>
            <el-input-number v-model="item_otrasobligaciones.saldo_pendiente" controls-position="right" :step="5" :min="0" :max="100"></el-input-number>
          </div>
          <div class="form-group col-md-4">
            <label class="control-label">Montos abonados </label>
            <el-input-number v-model="item_otrasobligaciones.montos_abonados" controls-position="right" :step="5" :min="0" :max="100"></el-input-number>
          </div>
          <div class="form-group col-md-4">
            <label class="control-label">Plazo de la obligacion </label>
            <el-input-number v-model="item_otrasobligaciones.plazo_obligacion" controls-position="right" :step="5" :min="0" :max="100"></el-input-number>
          </div>
          <div class="form-group col-md-4">
            <label class="control-label">Unidad de medida del plazo</label>
            <el-select  clearable class="select-default" placeholder="Seleccione una opción" v-model="item_otrasobligaciones.unidad_medida_adeudo_cat_unidad_medida_plazo_id">
              <el-option v-for="option in unidadesplazo" class="select-default" :value="option.id" :label="option.valor" :key="option.label"></el-option>
            </el-select>
          </div>
          <div class="form-group col-md-4">
            <label class="control-label">Titularidad de la oblgación</label>
            <el-select  clearable class="select-default" placeholder="Seleccione una opción" v-model="item_otrasobligaciones.cat_titular_id">
              <el-option v-for="option in cattitulares" class="select-default" :value="option.id" :label="option.valor" :key="option.label"></el-option>
            </el-select>
          </div>
          <div class="form-group col-md-4">
            <label class="control-label">Porcentaje de adeudo del titular </label>
            <el-input-number v-model="item_otrasobligaciones.porcentaje_obligacion_titular" controls-position="right" :step="5" :min="0" :max="100"></el-input-number>
          </div>
          <div class="form-group col-md-4">
            <label class="control-label">Garantía </label>
            <input type="checkbox" v-model="item_otrasobligaciones.garantia">
          </div>
          <div class="form-group col">
            <label class="control-label">Observaciones / Comentarios</label>
            <input class="form-control" type="text" v-model="item_otrasobligaciones.observaciones" placeholder="Observaciones / Comentarios">
          </div>
        </div>
        <domicilio titulo=" del acreedor de la otra obligación" v-model="n_domicilio"></domicilio>


        <div class="row justify-content-end m-3">
          <button class="btn btn-primary" @click.prevent="addItem()">
            <span v-if="edit_item == null">
              <i class="fa fa-plus"></i> Agregar
            </span>

            <span v-else>
              <i class="fa fa-save"></i> Guardar
            </span>
          </button>
          <button class="btn btn-danger ml-3" @click.prevent="cancelEdit()">
            <span>
              <i class="fa fa-times"></i> Cancelar
            </span>
          </button>
        </div>
        <div class="row">
          <hr class="col-md-12 bg-info">
        </div>
      </div>
      <div v-if="!add_item">
        <div class="row justify-content-end m-3">
          <button class="btn btn-primary" @click.prevent="showItem()">
            <span>
              <i class="fa fa-plus"></i> Agregar
            </span>
          </button>
        </div>
        <div class="row mt-3 mb-4">
          <div class="col-sm-12 col-md-12 col-lg-12">
            <b-table id="tbl_otrasobligaciones" responsive hover :items="list_otrasobligaciones" :fields="fields_list" show-empty>
              <!-- :fields="fields_list" -->
              <template slot="acciones" slot-scope="row" class="actions">
                <b-button size="sm" @click.prevent="editItem(row)" class="edit mr-2" :disabled="edit_item != null">
                  Editar <i class="fas fa-pencil-alt ml-2"></i>
                </b-button>
                <b-button size="sm" @click.prevent="removeItem(row.index)" class="delete mr-2" :disabled="edit_item != null">
                  Eliminar <i class="fas fa-trash-alt ml-2"></i>
                </b-button>
              </template>
              <template slot="empty">
                <h5>No existen registros</h5>
              </template>

              <template slot="domicilio_bien_entidad_federativa_id" slot-scope="row">
                {{getEntidad(row.item.domicilio_bien_entidad_federativa_id)}}</template>
              <template slot="domicilio_bien_localidad_id" slot-scope="row">
                {{getLocalidad(row.item.domicilio_bien_localidad_id)}}
              </template>
              <template slot="domicilio_bien_municipio_id" slot-scope="row">{{getMunicipio(row.item.domicilio_bien_municipio_id)}}</template>
              <template slot="cat_pais_id" slot-scope="row">{{getPais(row.item.cat_pais_id)}}</template>
              <template slot="forma_adquisicion_id" slot-scope="row">{{getFormaAdquisicion(row.item.forma_adquisicion_id)}}</template>
              <template slot="nombre_copropietario_nombres nombre_copropietario_primer_apellido nombre_copropietario_segundo_apellido" slot-scope="row">
                {{row.item.nombre_copropietario_nombres}} {{row.item.nombre_copropietario_primer_apellido}} {{row.item.nombre_copropietario_segundo_apellido}}</template>
              <template slot="porcentaje_propiedad" slot-scope="row" class="text-center">{{row.item.porcentaje_propiedad}} %</template>
              <template slot="precio_adquisicion_valor" slot-scope="row" class="text-right">{{(getSignoDos(row.item.precio_adquisicion_moneda_id))}}
                {{row.item.precio_adquisicion_valor | currency}}</template>
              <template slot="precio_adquisicion_moneda_id" slot-scope="row" class="text-center">
                {{getMoneda(row.item.precio_adquisicion_moneda_id)}}</template>
              <template slot="sector_industria_id" slot-scope="row">{{getSector(row.item.sector_industria_id)}}</template>
              <template slot="tipo_bien_id" slot-scope="row">{{getTipo(row.item.tipo_bien_id)}}</template>
              <template slot="tipo_operacion_id" slot-scope="row">{{getOperacion(row.item.tipo_operacion_id)}}</template>
              <template slot="titular_id" slot-scope="row">{{getTitular(row.item.titular_id)}}</template>
              <template slot="relacion_persona_adquirio_id" slot-scope="row">
                {{getRelacion(row.item.relacion_persona_adquirio_id)}}</template>

            </b-table>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>
<script>
  import {
    Tag,
    Select,
    DatePicker,
    InputNumber
  } from "element-ui";
  import Domicilio from "../Domicilio.vue";
  import {
    mapFields
  } from "vee-validate";
  export default {
    components: {
      [Tag.name]: Tag,
      [DatePicker.name]: DatePicker,
      [InputNumber.name]: InputNumber,
      Domicilio
    },
    props: ["data"],
    data() {
      return {
        ip_id: 1,
        add_item: false,
        edit_item: null,
        bandera: '0',
        modelValidations: {
          nombre: {
            min: 5
          },
          email: {
            required: true,
            email: true
          }
        },
        operaciones: null,
        otrasobligaciones: null,
        titulares: null,
        adquisiciones: null,
        relaciones: null,
        sectores: null,
        n_domicilio: null,
        monedas: [],
        entidadFed: null,
        municipios: null,
        localidades: null,
        localidad: null,
        paises: null,
        isnum: null,
        /* Lista de Bienes */
        item_otrasobligaciones: {},
        list_otrasobligaciones: [],
        fields_list: [{
            key: "acciones",
            label: "Acciones",
            tdClass: "text-center"
          },
          {
            key: "cat_tipo_operacion_id",
            label: "Tipo Operacion",
            tdClass: "text-left",
            formatter: 'emptyFields'
          },
          {
            key: "cat_tipo_acreedor_id",
            label: "Tipo acreedor",
            tdClass: "text-left",
            formatter: 'emptyFields'
          },
          {
            key: "cat_tipo_adeudo_id",
            label: "Tipo adeudo",
            tdClass: "text-left",
            formatter: 'emptyFields'
          },
          {
            key: "identificador_obligacion",
            label: "Identificador de la obligación",
            tdClass: "text-left",
            formatter: 'emptyFields'
          },
          {
            key: "cat_pais_id",
            label: "Pais",
            tdClass: "text-left",
            formatter: 'emptyFields'
          },
          {
            key: "nombre_acreedor",
            label: "Nombre acreedor",
            tdClass: "text-right",
            formatter: 'emptyFields'
          },
          {
            key: "rfc_acreedor",
            label: "RFC Acreedor",
            tdClass: "text-right",
            formatter: 'emptyFields'
          },
          {
            key: "cat_sector_indrustrial_id",
            label: "Sector inductrial",
            tdClass: "text-center",
            formatter: 'emptyFields'
          },
          {
            key: "cat_pais_id",
            label: "País",
            tdClass: "text-left",
            formatter: 'emptyFields'
          },
          {
            key: "domicilio_acreedor_cat_entidad_federativa_id",
            label: "Entidad federativa",
            tdClass: "text-left",
            formatter: 'emptyFields'
          },
          {
            key: "domicilio_acreedor_cat_municipio_id",
            label: "Municipio",
            tdClass: "text-left",
            formatter: 'emptyFields'
          },
          {
            key: "domicilio_acreedor_cat_vialidad_id",
            label: "Localidad",
            tdClass: "text-left",
            formatter: 'emptyFields'
          },
          {
            key: "domicilio_acreedor_colonia",
            label: "Colonia",
            tdClass: "text-left",
            formatter: 'emptyFields'
          },
          {
            key: "domicilio_acreedor_cp",
            label: "CP",
            tdClass: "text-right",
            formatter: 'emptyFields'
          },
          {
            key: "domicilio_acreedor_numExt",
            label: "Número exterior",
            tdClass: "text-right",
            formatter: 'emptyFields'
          },
          {
            key: "domicilio_acreedor_numInt",
            label: "Número interior",
            tdClass: "text-right",
            formatter: 'emptyFields'
          },
          {
            key: "domicilio_acreedor_vialidad_tipo",
            label: "Tipo vialidad",
            tdClass: "text-left",
            formatter: 'emptyFields'
          },
          {
            key: "domicilio_acreedor_vialidad_nombre",
            label: "Nombre vialidad",
            tdClass: "text-left",
            formatter: 'emptyFields'
          },
          {
            key: "fecha_adeudo",
            label: "Fecha",
            tdClass: "text-left",
            formatter: 'emptyFields'
          },
          {
            key: "monto_original",
            label: "Monto original",
            tdClass: "text-left",
            formatter: 'emptyFields'
          },
          {
            key: "cat_tipo_moneda_id",
            label: "Tipo moneda",
            tdClass: "text-left",
            formatter: 'emptyFields'
          },
          {
            key: "tasa_interes",
            label: "Tasa interes",
            tdClass: "text-left",
            formatter: 'emptyFields'
          },
          {
            key: "saldo_pendiente",
            label: "Saldo pendiente",
            tdClass: "text-left",
            formatter: 'emptyFields'
          },
          {
            key: "montos_abonados",
            label: "Montos abonados",
            tdClass: "text-left",
            formatter: 'emptyFields'
          },
          {
            key: "plazo_adeudo",
            label: "Planzo adeudo",
            tdClass: "text-left",
            formatter: 'emptyFields'
          }, {
            key: "unidad_medida_adeudo_cat_unidad_medida_plazo_id",
            label: "Unidad de medida",
            tdClass: "text-left",
            formatter: 'emptyFields'
          }, {
            key: "cat_titular_id",
            label: "Titularidad de la obligación",
            tdClass: "text-left",
            formatter: 'emptyFields'
          }, {
            key: "porcentaje_obligacion_titular",
            label: "Porcentaje adeudo titular",
            tdClass: "text-left",
            formatter: 'emptyFields'
          }, {
            key: "garantia",
            label: "Garantía",
            tdClass: "text-left",
            formatter: 'emptyFields'
          }, {
            key: "nombre_garante",
            label: "Nombre garante",
            tdClass: "text-left",
            formatter: 'emptyFields'
          },
          {
            key: "observaciones",
            label: "Observaciones",
            tdClass: "text-left",
            formatter: 'emptyFields'
          },
        ]
      };
    },
    computed: {
      getSigno() {
        var signo = "$";
        var val = this.item_otrasobligaciones.precio_adquisicion_moneda_id;
        this.monedas.forEach(function (item) {
          if (item.id == val) {
            signo = item.signo;
          }
        });
        return signo;
      },
      getCodigoMoneda() {
        var codigo = "MXN";
        var val = this.item_otrasobligaciones.precio_adquisicion_moneda_id;
        this.monedas.forEach(function (item) {
          if (item.id == val) {
            codigo = item.codigo;
          }
        });
        return codigo;
      },
      /*  ...mapFields(['nombre', 'aPaterno', 'aMaterno', 'email', 'nacionalidades', 'curp', 'rfc',
         'nidentifica', 'cpersonal', 'tparticular', 'tcelular'
       ]) */
    },
    watch: {
      n_domicilio: {
        handler: function () {
          if (this.n_domicilio) {
            this.item_otrasobligaciones.cat_pais_id = this.n_domicilio.pais_id ? this.n_domicilio.pais_id : 150;
            this.item_otrasobligaciones.domicilio_bien_entidad_federativa_id = this.n_domicilio.entidadF ? this.n_domicilio.entidadF : "";
            this.item_otrasobligaciones.domicilio_bien_municipio_id = this.n_domicilio.municipio ? this.n_domicilio.municipio : "";
            this.item_otrasobligaciones.domicilio_bien_localidad_id = this.n_domicilio.localidad ? this.n_domicilio.localidad : "";
            this.item_otrasobligaciones.domicilio_bien_cp = this.n_domicilio.cp ? this.n_domicilio.cp : "";
            this.item_otrasobligaciones.domicilio_bien_colonia = this.n_domicilio.colonia ? this.n_domicilio.colonia : "";
            this.item_otrasobligaciones.domicilio_bien_vialidad_tipo = this.n_domicilio.vialidad ? this.n_domicilio.vialidad : "";
            this.item_otrasobligaciones.domicilio_bien_vialidad_nombre = this.n_domicilio.vialidad_nombre ? this.n_domicilio.vialidad_nombre : "";
            this.item_otrasobligaciones.domicilio_bien_numext = this.n_domicilio.ext ? this.n_domicilio.ext : "";
            this.item_otrasobligaciones.domicilio_bien_numint = this.n_domicilio.int ? this.n_domicilio.int : "";
          }
        },
        deep: true
      },
      list_otrasobligaciones: {
        handler: function () {
          if (this.list_otrasobligaciones) {
            this.setLocalidades();
            if (this.list_otrasobligaciones.length == 0) {
              this.bandera = '0';
            } else {
              this.bandera = '1';
            }
          }
        },
        deep: true
      },
    },
    methods: {
      getSignoDos(val = "97") {
        var signo = "$";
        this.monedas.forEach(function (item) {
          if (item.id == val) {
            signo = item.signo;
          }
        });
        return signo;
      },
      emptyFields(value) {
        if (value) {
          if (typeof value === 'string' || value instanceof String) {
            return value.toUpperCase();
          } else {
            return value;
          }
        } else {
          return '-';
        }
      },
      getEntidad(index) {
        var resp = " ";
        if (this.entidadFed) {
          this.entidadFed.forEach(function (item) {
            if (item.id == index) {
              resp = item.nom_ent;
              return resp;
            }
          });
        }
        return resp;
      },
      getRelacion(index) {
        var resp = " ";
        if (this.relaciones) {
          this.relaciones.forEach(function (item) {
            if (item.id == index) {
              resp = item.valor;
              return resp;
            }
          });
        }
        return resp;
      },
      getTitular(index) {
        var resp = " ";
        if (this.titulares) {
          this.titulares.forEach(function (item) {
            if (item.id == index) {
              resp = item.valor;
              return resp;
            }
          });
        }
        return resp;
      },
      getOperacion(index) {
        var resp = " ";
        if (this.operaciones) {
          this.operaciones.forEach(function (item) {
            if (item.id == index) {
              resp = item.valor;
              return resp;
            }
          });
        }
        return resp;
      },
      getTipo(index) {
        var resp = " ";
        if (this.otrasobligaciones) {
          this.otrasobligaciones.forEach(function (item) {
            if (item.id == index) {
              resp = item.valor;
              return resp;
            }
          });
        }
        return resp;
      },
      getSector(index) {
        var resp = " ";
        if (this.sectores) {
          this.sectores.forEach(function (item) {
            if (item.id == index) {
              resp = item.valor;
              return resp;
            }
          });
        }
        return resp;
      },
      getMoneda(index) {
        var resp = "";
        if (this.monedas) {
          this.monedas.forEach(function (item) {
            if (item.id == index) {
              resp = item.moneda;
            }
          });
        }
        return resp;
      },
      getFormaAdquisicion(index) {
        var resp = " ";
        if (this.adquisiciones) {
          this.adquisiciones.forEach(function (item) {
            if (item.id == index) {
              resp = item.valor;
              return resp;
            }
          });
        }
        return resp;
      },
      getLocalidad(index) {
        var resp = "";
        if (this.localidades) {
          this.localidades.forEach(function (item) {
            if (item.id == index) {
              resp = item.nom_loc;
              return resp;
            }
          });
        }
        return resp;
      },
      getMunicipio(index) {
        var resp = "";
        if (this.municipios) {
          this.municipios.forEach(function (item) {
            if (item.id == index) {
              resp = item.nom_mun;
              return resp;
            }
          });
        }
        return resp;
      },
      getPais(index) {
        var resp = "México";
        if (this.paises) {
          this.paises.forEach(function (item) {
            if (item.id == index) {
              resp = item.valor;
              return resp;
            }
          });
        }
        return resp;
      },
      initItem() {
        this.n_domicilio = {
          pais_id: 150,
          entidadF: '',
          municipio: '',
          localidad: '',
          cp: '',
          colonia: '',
          vialidad: '',
          vialidad_nombre: '',
          ext: '',
          int: ''
        };
        this.item_otrasobligaciones = {
          acciones: "",
          tipo_operacion_id: "",
          tipo_bien_id: "",
          titular_id: "",
          superficie_construccion: "",
          superficie_terreno: "",
          porcentaje_propiedad: 100,
          identificacion_bien_numero_escritura_publica: "",
          identificacion_bien_numero_registro_publico: "",
          identificacion_bien_folio_real: "",
          identificacion_bien_fecha_contrato: "",
          nombre_copropietario_nombres: "",
          nombre_copropietario_primer_apellido: "",
          nombre_copropietario_segundo_apellido: "",
          precio_adquisicion_valor: "",
          precio_adquisicion_moneda_id: 97,
          valor_catastral: "",
          fecha_adquisicion: "",
          forma_adquisicion_id: "",
          domicilio_bien_pais_id: "",
          domicilio_bien_entidad_federativa_id: "",
          domicilio_bien_municipio_id: "",
          domicilio_bien_localidad_id: "",
          domicilio_bien_colonia: "",
          domicilio_bien_cp: "",
          domicilio_bien_numext: "",
          domicilio_bien_numint: "",
          domicilio_bien_vialidad_nombre: "",
          domicilio_bien_vialidad_tipo: "",
          nombre_denominacion_quien_adquirio: "",
          rfc_quien_adquirio: "",
          curp_quien_adquirio: "",
          sector_industria_id: "",
          relacion_persona_adquirio_id: "",
          relacion_especificar: "",
          observaciones: ""
        };
      },
      showItem() {
        this.add_item = !this.add_item;
      },
      cancelEdit() {
        if (this.edit_item) {
          this.edit_item.item._rowVariant = "";
        }
        this.initItem();
        this.showItem();
        this.edit_item = null;
      },
      addItem() {
        if (this.item_otrasobligaciones) {
          this.item_otrasobligaciones.ip_id = this.ip_id;
          this.loadButton(this.$refs.btnSave);
          this.$http.post("otrasObligaciones", this.item_otrasobligaciones).then(
            response => {
              this.StepOk("Guardado");
              if (this.edit_item === undefined || this.edit_item === null) {
                this.list_otrasobligaciones.push({
                  ...response.data.obligacion
                });
              } else {
                this.list_otrasobligaciones.splice(
                  this.edit_item.index,
                  1,
                  this.item_otrasobligaciones
                );
                this.edit_item.item._rowVariant = "";
              }
              this.showItem();
              this.initItem();
              this.edit_item = null;
            },
            error => {
              this.StepError(error);
              //this.change =  true;
            }
          );
        } else {
          this.StepW("Hay campos sin completar");
        }
        //console.log(this.item_otrasobligaciones);
      },
      editItem(indice) {
        this.showItem();
        this.edit_item = indice;
        this.item_otrasobligaciones = {
          ...this.list_otrasobligaciones[this.edit_item.index]
        };
        this.editDomicilio();
        this.edit_item.item._rowVariant = "danger";
        $(".main-panel").animate({
            scrollTop: 100
          },
          500,
          "swing"
        );
      },
      removeItem(indice) {
        if (this.list_otrasobligaciones[indice].id !== null) {
          let item = this.list_otrasobligaciones[indice];
          //this.list_otrasobligaciones.splice(indice, 1);
          this.Ask("Desea borrar este registro", () => {
            this.$http.delete("otrasObligaciones/" + item.id).then(
              response => {
                /* eventBus.$emit("TramiteDelete", item); */
                this.list_otrasobligaciones.splice(indice, 1);
              },
              error => {
                this.Err(error);
              }
            );
          });
        }
      },
      editDomicilio() {
        this.n_domicilio.pais_id = this.item_otrasobligaciones.domicilio_bien_pais_id ? this.item_otrasobligaciones.domicilio_bien_pais_id : 150;
        this.n_domicilio.entidadF = this.item_otrasobligaciones.domicilio_bien_entidad_federativa_id ? this.item_otrasobligaciones.domicilio_bien_entidad_federativa_id : '';
        this.n_domicilio.municipio = this.item_otrasobligaciones.domicilio_bien_municipio_id ? this.item_otrasobligaciones.domicilio_bien_municipio_id : '';
        this.n_domicilio.localidad = this.item_otrasobligaciones.domicilio_bien_localidad_id ? this.item_otrasobligaciones.domicilio_bien_localidad_id : '';
        this.n_domicilio.cp = this.item_otrasobligaciones.domicilio_bien_cp ? this.item_otrasobligaciones.domicilio_bien_cp : '';
        this.n_domicilio.colonia = this.item_otrasobligaciones.domicilio_bien_colonia ? this.item_otrasobligaciones.domicilio_bien_colonia : '';
        this.n_domicilio.vialidad = this.item_otrasobligaciones.domicilio_bien_vialidad_tipo ? this.item_otrasobligaciones.domicilio_bien_vialidad_tipo : '';
        this.n_domicilio.vialidad_nombre = this.item_otrasobligaciones.domicilio_bien_vialidad_nombre ? this.item_otrasobligaciones.domicilio_bien_vialidad_nombre : '';
        this.n_domicilio.ext = this.item_otrasobligaciones.domicilio_bien_numext ? this.item_otrasobligaciones.domicilio_bien_numext : '';
        this.n_domicilio.int = this.item_otrasobligaciones.domicilio_bien_numint ? this.item_otrasobligaciones.domicilio_bien_numint : '';
      },
      validate() {
        return this.$validator.validateAll();
      },
      setLocalidades() {
        this.localidades = [];
        this.list_otrasobligaciones.forEach((item) => {
          if (item.domicilio_bien_localidad_id) {
            this.$http.get('localidades/localidad/' + item.domicilio_bien_localidad_id).then(
              response => {
                this.localidades.push(response.data.localidad);
              },
              error => {
                this.Err(error);
              }
            );
          }
        });
      },
      isNumber(n) {
        //console.log(n);
        n.target.value = n.target.value.replace(/[^\d.-]/g, '');
        //this.item_otrasobligaciones.precio_adquisicion_valor = this.item_otrasobligaciones.precio_adquisicion_valor.replace(/[^\d.-]/g, '');
        //console.log(this.item_otrasobligaciones.precio_adquisicion_valor);
        //n = n.replace(/[^\d.-]/g, '');
        //match ints and floats/decimals
        /* var floatRegex = '[-+]?([0-9]*.[0-9]+|[0-9]+)';
        if (n.key.match(floatRegex)) {
          return n.key;
        } */
        //return n;
      }
    },
    created() {
      this.initItem();
      //this.getLocalidades(97250);
      this.$http.get("otrasObligaciones/" + this.ip_id).then(
        response => {
          this.list_otrasobligaciones = response.data.obligaciones;
          this.setLocalidades();
        },
        error => {
          this.Err(error);
        }
      );
      this.$http.get("cat_tipo_operacion").then(
        response => {
          this.operaciones = response.data.tipos;
        },
        error => {
          this.Err(error);
        }
      );
      this.$http.get("cat_tipo_acreedores").then(
        response => {
          this.tipoacreedores = response.data.tipos;
        },
        error => {
          this.Err(error);
        }
      );
      this.$http.get("cat_titular").then(
        response => {
          this.cattitulares = response.data.titulares;
        },
        error => {
          this.Err(error);
        }
      );
      this.$http.get("cat_unidad_medida_plazo").then(
        response => {
          this.unidadesplazo = response.data.unidad;
        },
        error => {
          this.Err(error);
        }
      );
      this.$http.get("cat_tipo_obligaciones").then(
        response => {
          this.tipoobligaciones = response.data.tipos;
        },
        error => {
          this.Err(error);
        }
      );
      this.$http.get("cat_tipo_adeudo").then(
        response => {
          this.tipoadeudo = response.data.tipos;
        },
        error => {
          this.Err(error);
        }
      );

      this.$http.get("entidadFed").then(
        response => {
          this.entidadFed = response.data.entidadfed;
        },
        error => {
          this.Err(error);
        }
      );
      this.$http.get("paises").then(
        response => {
          this.paises = response.data.pais;
        },
        error => {
          this.Err(error);
        }
      );
      this.$http.get("municipios").then(
        response => {
          this.municipios = response.data.municipios;
        },
        error => {
          this.Err(error);
        }
      );
      this.$http.get("cat_tipo_bien").then(
        response => {
          this.otrasobligaciones = response.data.tipos;
        },
        error => {
          this.Err(error);
        }
      );
      this.$http.get("cat_titular").then(
        response => {
          this.titulares = response.data.titulares;
        },
        error => {
          this.Err(error);
        }
      );
      this.$http.get("cat_forma_adquisicion").then(
        response => {
          this.adquisiciones = response.data.adquisiciones;
        },
        error => {
          this.Err(error);
        }
      );
      this.$http.get("cat_relacion_persona_adquirio").then(
        response => {
          this.relaciones = response.data.relaciones;
        },
        error => {
          this.Err(error);
        }
      );
      this.$http.get("cat_sector_industria").then(
        response => {
          this.sectores = response.data.sectores;
        },
        error => {
          this.Err(error);
        }
      );
      this.$http.get("monedas").then(
        response => {
          this.monedas = response.data.monedas;
          var temp = "97";
          this.monedas.forEach(function (item) {
            if (item.codigo == "MXN") {
              temp = item.id;
            }
          });
          this.item_otrasobligaciones.precio_adquisicion_moneda_id = temp;
        },
        error => {
          this.Err(error);
        }
      );
      if (this.data) {}
    }
  };

</script>
<style>


</style>
